# Visualization
TKV2d
Prs2d

# Prs2d_Tolerance Class Reference

Groups all the tolerances
.

`#include <Prs2d_Tolerance.hxx>`

Inheritance diagram for Prs2d_Tolerance:

[legend]

## Public Member Functions

Standard_EXPORT void | SetCoord (const Standard_Real aX, const Standard_Real aY)
| Changes the coordinates of this tolerance .
Standard_EXPORT void | SetSize (const Standard_Real aLen)
| Defines the size of this one .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Prs2d_Tolerance (const Handle(Graphic2d_GraphicObject)&aGO, const Standard_Real aX, const Standard_Real aY, const Standard_Real aLength, const Standard_Real anAngle)
| Creates a tolerance with the center in the point (<ax>, <ay>); reference point is <axposition>, <ayposition> .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the Tolerance is picked, Standard_False if not. .

## Protected Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myLength
Standard_ShortReal | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Tolerance::Prs2d_Tolerance | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const Standard_Real | aX,
|  | const Standard_Real | aY,
|  | const Standard_Real | aLength,
|  | const Standard_Real | anAngle
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const Prs2d_Tolerance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line. Reimplemented in Prs2d_Angularity, Prs2d_Circularity, Prs2d_Concentric, Prs2d_Cylindric, Prs2d_Flatness, Prs2d_LineProfile, Prs2d_Parallelism, Prs2d_Perpendicular, Prs2d_Position, Prs2d_Straightness, Prs2d_SurfProfile, Prs2d_SymCircular, Prs2d_Symmetry, Prs2d_SymTotal, and Prs2d_Taper.

Standard_EXPORT Standard_Boolean Prs2d_Tolerance::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void Prs2d_Tolerance::SetCoord | ( | const Standard_Real | aX,
|  | const Standard_Real | aY
| ) |

Standard_EXPORT void Prs2d_Tolerance::SetSize | ( | const Standard_Real | aLen | ) |

## Field Documentation

Standard_ShortReal Prs2d_Tolerance::myAngle `[protected]`

Standard_ShortReal Prs2d_Tolerance::myLength `[protected]`

Standard_ShortReal Prs2d_Tolerance::myX `[protected]`

Standard_ShortReal Prs2d_Tolerance::myY `[protected]`

The documentation for this class was generated from the following file:

- Prs2d_Tolerance.hxx